/**
 * This file is part of the BaseProject project.
 * 2015
 * Copyright (c) RENATER
 */

/*** Header general style ***/
header {
    width: 100%;
    margin:0;
    padding:0;
    background: none;
}
header h1 {
    margin:2rem auto 0 auto;
    width: 100%;
    font-family: "foobar_proregular", Arial, sans-serif;
    letter-spacing:0.1rem;
    color:hsl(0,0%,0%);
    text-align: center;
}
header nav > ul > li > a > img{
    /*    max-width:80%!important;*/
}
header img {
    background-color: transparent;
    border-width: 0;
    vertical-align:middle;
}

/*** Top menu style (foundation style overriding) ***/
.top-bar {
    margin-top: 0;
    padding: 0.5rem 0.9375rem 0 0.9375rem;
    line-height: 22px;
}
.top-bar, .top-bar ul {
    background-color: #fff;
}
.top-bar a {
    text-decoration: none;
}
.top-bar .top-bar-right > * label {
    font-weight: bold;
    color: #41494c;
    cursor:pointer;
}
.top-bar .top-bar-right .is-dropdown-submenu label {
    display:inline-block;
}
.top-bar .top-bar-right > ul > li > a i[class^="fi-"]::before,
.top-bar .top-bar-right > ul > li > a i[class*=" fi-"]::before,
.top-bar .top-bar-right > ul > li > a i[class*=" fa-"]::before,
.top-bar .top-bar-right > ul > li > a span[class^="fi-"]::before,
.top-bar .top-bar-right > ul > li > a span[class*=" fi-"]::before,
.top-bar .top-bar-right > ul > li > a span[class*=" fa-"]::before{
    text-align: center;
    color: #41494c;
    font-size: 1.875rem;
}
.menu > li > a img, .menu > li > a i {
    margin-right: 0.25rem;
    display: inline-block;
    vertical-align: middle;
}
.menu > li > b.current, .menu > li > a  {
    padding: 0.4rem 1rem;
    line-height: 1;
}
.menu-text {
    padding: 0;
}
li.menu-text > a {
    padding: 0;
}

.nocursor{
    cursor: default!important;
    opacity:0.6;
}
.nocursor label{
    cursor: default!important;
    color:#aaa!important;
}
.nocursor [class*=" fa-"]:before{
    text-align: right;
    font-size: 1rem;
}

nav.disconnected ul.right{
    margin-right:23rem;
}



/* Small screens */

/* Define mobile styles */

/* max-width 450px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 28em){
    header > h1 {
        font-size:1.3rem!important;
    }

    header #embeddedWAYF{
        width: 17rem!important;
    }
    header #embeddedWAYF h1{
        padding: 0.1rem 0 0 0.5rem;
    }
    header #embeddedWAYF select{
        font-size: 70%;
    }

    header #embeddedWAYF input#user_idp_iddtext{
        width:91%!important;
        margin:0 auto;
        height:1.2rem!important;
        text-indent: 5px!important;
        line-height: 0;
    }

    header #embeddedWAYF img#user_idp_iddicon{
        height:1.2rem!important;
        width:1.2rem!important;
    }

    header #embeddedWAYF input[type="submit"] {
        display:block;
        position:relative;
        float:none!important;
        width:100%;
        margin: 0.2rem 0 0 0!important;
        padding:0.1rem!important;
    }

}

/* max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 40em) {
    .title-bar{
        height:2.8125rem;
    }
    .title-bar .top-bar-left{
        height:2.5rem;
    }
    .title-bar .top-bar-left img{
        height:85%;
    }
    .top-bar .top-bar-right .is-drilldown label {
        display:inline-block;
    }
    .top-bar .top-bar-right .is-drilldown .icon-top li a {
        text-align:left;
    }
    .top-bar .top-bar-right .is-drilldown li a .fa, .top-bar .top-bar-right .is-drilldown li a [class^="fi-"] {
        font-size:1.33em;
    }
    main {
        margin-bottom:0!important;
    }
    header > h1, header nav:nth-of-type(2) h1 {
        font-size:1.5rem;
        margin:0.5rem 0;
    }
}


/* Medium screens */

/* min-width 641px, medium screens */
@media only screen and (min-width: 40.063em) {

}

@media only screen and (max-width: 800px) {

    header #embeddedWAYF{
        position: relative!important;
        top: auto;
        right: auto;
        width:25rem;
        margin:1rem auto 0 auto;
        border: 1px solid #e3e3e3;
        background-color: #f5f5f5;
        padding: 0 0.5rem;
        border-radius:5px;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;
        z-index:999;
    }
}

@media only screen and (min-width:  40.063em) and (max-width: 800px)
{
    .menu-text a img {
        height: 45px;
    }
    .top-bar .top-bar-right > * label {
        display: none;
    }
}
@media only screen and (min-width: 801px) and (max-width: 64em)
{
    .menu-text a img {
        height: 54px;
    }
    .top-bar .top-bar-right > * label {
        font-size: 0.7rem;
    }
}

/* min-width 641px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 40.063em) and (max-width: 50em) {

}

/* min-width 641px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 40.063em) and (max-width: 64em) {
    header > h1 {
        font-size:1.9rem;
    }
}

/* Large screens */

/* min-width 1025px, large screens */
@media only screen and (min-width: 64.063em) {
    header > h1 {
        font-size:2.2rem;
    }
}

/* min-width 1025px and max-width 1440px, use when QAing large screen-only issues */
@media only screen and (min-width: 64.063em) and (max-width: 90em) {
    .menu-text a img{
        height:69px;
    }
}


/* XLarge screens */

/* min-width 1441px, xlarge screens */
@media only screen and (min-width: 90.063em) {
}

/* min-width 1441px and max-width 1920px, use when QAing xlarge screen-only issues */
@media only screen and (min-width: 90.063em) {
    .menu-text a img{
        height:85px;
    }

}


/* XXLarge screens*/

/* min-width 1921px, xxlarge screens */
@media only screen and (min-width: 120.063em) {}

